diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index a6fd743..6cfd629 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -77063,11 +77063,11 @@ PolynomialRing(R:Ring,E:OrderedAbelianMonoid): T == C
 ++ Description: \spadtype{PositiveInteger} provides functions for
 ++   positive integers.
 PositiveInteger: Join(AbelianSemiGroup,OrderedSet,Monoid) with
-            gcd: (%,%) -> %
-              ++ gcd(a,b) computes the greatest common divisor of two
-              ++ positive integers \spad{a} and b.
-            commutative("*")
-              ++ commutative("*") means multiplication is commutative : x*y = y*x
+    gcd: (%,%) -> %
+      ++ gcd(a,b) computes the greatest common divisor of two
+      ++ positive integers \spad{a} and b.
+    commutative("*")
+      ++ commutative("*") means multiplication is commutative : x*y = y*x
  == SubDomain(NonNegativeInteger,#1 > 0) add
      x:%
      y:%
@@ -79279,7 +79279,7 @@ RadicalFunctionField(F, UP, UPUP, radicnd, n): Exports == Impl where
       l := factors p
       for i in 1..maxIndex ans repeat
         ans.i :=
-          (u := find(#1.exponent = i, l)) case "failed" => 1
+          (u := find(s+->s.exponent = i, l)) case "failed" => 1
           (u::REC).factor
       ans
 
@@ -79300,7 +79300,7 @@ RadicalFunctionField(F, UP, UPUP, radicnd, n): Exports == Impl where
 
     charPintbas(p, c, v, w) ==
       degree(p) ^= n => error "charPintbas: should not happen"
-      q:UP2 := map(retract(#1)@UP, p)
+      q:UP2 := map(s+->retract(s)@UP, p)
       ib := integralBasis()$FunctionFieldIntegralBasis(UP, UP2,
                                           SimpleAlgebraicExtension(UP, UP2, q))
       not diagonal?(ib.basis)=> 
diff --git a/changelog b/changelog
index f523373..5ec2cdb 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090516 tpd src/axiom-website/patches.html 20090516.03.tpd.patch
+20090516 tpd books/bookvol10.3 RADFF +-> conversion
 20090516 tpd src/axiom-website/patches.html 20090516.02.tpd.patch
 20090516 tpd books/bookvol10.3 PR +-> conversion
 20090516 tpd src/axiom-website/patches.html 20090516.01.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index d44960d..7d683e7 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1322,5 +1322,7 @@ bookvol10.4 EFSTRUC +-> conversion<br/>
 compiler.boot fix missing space typos<br/>
 <a href="patches/20090516.02.tpd.patch">20090516.02.tpd.patch</a>
 bookvol10.3 PR +-> conversion<br/>
+<a href="patches/20090516.03.tpd.patch">20090516.03.tpd.patch</a>
+bookvol10.3 RADFF +-> conversion<br/>
  </body>
 </html>
